package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单前缀
 */
@AllArgsConstructor
@Getter
public enum EOrderPrefix {

    /**
     * 默认
     */
    DEFAULT("DO", "默认"),

    /**
     * 订单
     */
    ORDER_CODE("SO", "订单"),

    /**
     * 采购订单
     */
    PO_ORDER_CODE("PO", "采购订单"),

    /**
     * 采购入库
     */
    IC_PURCHASE_CODE("PI", "采购入库"),

    /**
     * 其他入库
     */
    IC_GENERAL_IN_CODE("OI", "其他入库"),

    /**
     * 其他出库
     */
    IC_GENERAL_OUT_CODE("OD", "其他出库"),

    /**
     * 销售出库
     */
    IC_SALE_OUT_CODE("SD", "销售出库"),

    /**
     * 调拨订单
     */
    TR_ORDER_CODE("TO", "调拨订单"),

    /**
     * 调拨入库
     */
    TR_TRANS_IN_CODE("TI", "调拨入库"),

    /**
     * 调拨出库
     */
    TR_TRANS_OUT_CODE("TD", "调拨出库"),

    /**
     * 盘点
     */
    INVENTORY_CODE("IO", "库存盘点"),

    /**
     * 采购订单
     */
    IO_ORDER_CODE("BO", "业务领用订单"),

    /**
     * 三方订单
     */
    THIRD_ORDER_CODE("TH", "订单"),

    /**
     * 发货单
     */
    DELIVERY_CODE("SD", "发货单"),

    /**
     * 充值
     */
    RECHARGE_CODE("RC", "充值"),

    /**
     * 转账
     */
    TRANSFER_CODE("TF", "转账"),

    /**
     * 提现
     */
    WITHDRAWAL_CODE("WR", "提现"),


    /**
     * 冻结金额
     */
    FROZEN_CODE("FA", "转账"),

    /**
     * 交易流水
     */
    TRADE_CODE("TD", "交易流水"),

    /**
     * 退款
     */
    REFUND_CODE("RT", "退款"),

    /**
     * 撤销订单
     */
    REVOKE_ORDER_CODE("RK", "撤销订单"),

    /**
     * 审批
     */
    APPROVAL_CODE("HZS", "审批"),

    /**
     * 在线支付
     */
    ON_LINE("OL", "非订单在线支付"),

    /**
     * 修改安置
     */
    UPDATE_PLACE_PARENT("PP", "修改安置"),
    /**
     * 业务办理
     */
    HANDLE_BUSINESS("HB", "业务办理"),
    /**
     * 修改直推
     */
    UPDATE_PARENT("UP", "修改直推"),
    /**
     * 修改会员编号 修改结算国 修改政策币
     */
    SPECIAL_UPDATE_CODE("SC", "修改会员编号"),
    /**
     * 自助服务
     */
    SELF_SERVICE("SS", "自助服务"),
    /**
     * 注水业绩
     */
    MEMBER_ACHIEVE("MH", "注水业绩"),

    /**
     * 公告
     */
    NOTICE("NT", "公告"),

    /**
     * 站内信
     */
    MESSAGE_PLATFORM("MP", "站内信"),

    /**
     * 活动编号
     */
    ACTIVITY_CODE("AC", "活动编号"),
    /**
     * 兑换年金
     */
    MEMBER_ANNUITY("MA", "兑换年金");

    /**
     * 实际值
     */
    private final String value;
    /**
     * 显示标签
     */
    private final String label;

}
